Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

There are not enough quotas to process the command

4 REPLIES 4
Reply
Message 1 of 5
anton.gorschnev
245 Views, 4 Replies

There are not enough quotas to process the command

when exiting sketch editing (sketch.ExitEdit()), after drawing a large number of points (if oHolPoint.HoleCenter = True more than 9000, if oHolPoint.HoleCenter = False more than 6000) the System error pops up.ComponentModel.Win32Exception
HResult=0x80004005
Message = Not enough quotas to process the command

4 REPLIES 4
Message 2 of 5

I can't confirm it. I try following code without any issues (Inv 2023)

Dim sketch As PlanarSketch = ThisApplication.ActiveEditObject

Dim start = DateTime.Now

sketch.DeferUpdates = True

For x As Integer = 0 To 100
	For y As Integer = 0 To 100
		sketch.SketchPoints.Add(ThisApplication.TransientGeometry.CreatePoint2d(x, y))
	Next
Next

sketch.DeferUpdates = False
sketch.Solve()
sketch.ExitEdit()

Dim duration = DateTime.Now - start
Logger.Debug(duration.TotalSeconds)

 

Message 3 of 5

antongorschnev_0-1680780809813.png

 

Message 4 of 5

antongorschnev_0-1680781027193.png

 

Message 5 of 5

antongorschnev_1-1680781957782.png

 

it helps to draw points without entering edit mode, but performance decreases significantly. maybe the problem is in the old version of the Inventor 2014.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report